#!/usr/bin/env python
# coding=utf-8
import sys, getopt

def matrix_trans(argv):
	input_file = ''
	output_file = ''
	try:
		opts, args = getopt.getopt(argv, "hi:o:", ["ifile=","ofile="])
	except getopt.GetoptError:
		print "matrix_trans -i <input_file> -o <output_file>"
		sys.exit(2)
	for opt, arg in opts:
		if opt == '-h':
			print "matrix_trans -i <input_file> -o <output_file>"
			sys.exit()
		elif opt in ("-i", "--ifile"):
			input_file = arg
		elif opt in ("-o", "--ofile"):
			output_file = arg
	if len(output_file) == 0:
		output_file = input_file + "_tans.out"
	# print output_file
	if len(input_file) == 0:
		print "matrix_trans -i <input_file> -o <output_file>"
		sys.exit(2)
		
	ifile = open(input_file,"r")
	ofile = open(output_file,"w")
	row_list = []
	max_column = 0
	for line in ifile:
		line = line.rstrip("\n");
		row = line.split("\t")
		row_list.append(row)
		if len(row) > max_column:
			max_column = len(row)

	# print max_column
	max_row = len(row_list)
	for i in range(0,max_column):
		for j in range(0,max_row):
			ofile.write(row_list[j][i]+ "\t")

		ofile.write("\n")

	ifile.close()
	ofile.close()

if __name__ == "__main__":
	matrix_trans(sys.argv[1:])

